import Button from "./Button";
import styles from "./Button.module.css";
export default {
  title: "Components/Base/Button",
  component: Button,
};

export const Primary = {
  args: {},
  render: () => {
    return (
      <div className="bg-[var(--story-bg)] h-full w-[100vw]">
        <h2 className="text-[var(--primary-text-color)] font-[Inter-Medium] p-4 text-2xl">
          Size
        </h2>
        <section className="flex gap-[2rem] flex-wrap items-center p-3">
          <Button variant="primary" size="sm" disabled={false}>
            Small
          </Button>
          <Button variant="primary" size="md">
            Medium
          </Button>
          <Button variant="primary" size="lg">
            Large
          </Button>
        </section>
        <h2 className="text-[var(--primary-text-color)] font-[Inter-Medium] p-4 text-2xl">
          Loader
        </h2>
        <section className="flex gap-[2rem] flex-wrap items-center p-3">
          <Button variant="primary" size="sm" loading={true}>
            Button
          </Button>
          <Button variant="primary" size="md" loading={true}>
            Button
          </Button>
          <Button variant="primary" size="lg" loading={true}>
            Button
          </Button>
        </section>
        <h2 className="text-[var(--primary-text-color)] font-[Inter-Medium] p-4 text-2xl">
          Disabled
        </h2>
        <section className="flex gap-[2rem] flex-wrap items-center p-3">
          <Button variant="primary" size="sm" disabled={true}>
            Button
          </Button>
          <Button variant="primary" size="md" disabled={true}>
            Button
          </Button>
          <Button variant="primary" size="lg" disabled={true}>
            Button
          </Button>
        </section>
        <h2 className="text-[var(--primary-text-color)] font-[Inter-Medium] p-4 text-2xl">
          Loader and Disabled
        </h2>
        <section className="flex gap-[2rem] flex-wrap items-center p-3">
          <Button variant="primary" size="sm" loading={true} disabled={true}>
            Button
          </Button>
          <Button variant="primary" size="md" loading={true} disabled={true}>
            Button
          </Button>
          <Button variant="primary" size="lg" loading={true} disabled={true}>
            Button
          </Button>
        </section>
      </div>
    );
  },
};

export const Secondary = {
  args: {},
  render: () => {
    return (
      <div className="bg-[var(--story-bg)] h-full w-[100vw]">
        <h2 className="text-[var(--primary-text-color)] font-[Inter-Medium] p-4 text-2xl">
          Size
        </h2>
        <section className="flex gap-[2rem] flex-wrap items-center p-3">
          <Button variant="secondary" size="sm" disabled={false}>
            Small
          </Button>
          <Button variant="secondary" size="md">
            Medium
          </Button>
          <Button variant="secondary" size="lg">
            Large
          </Button>
        </section>
        <h2 className="text-[var(--primary-text-color)] font-[Inter-Medium] p-4 text-2xl">
          Loader
        </h2>
        <section className="flex gap-[2rem] flex-wrap items-center p-3">
          <Button variant="secondary" size="sm" loading={true}>
            Button
          </Button>
          <Button variant="secondary" size="md" loading={true}>
            Button
          </Button>
          <Button variant="secondary" size="lg" loading={true}>
            Button
          </Button>
        </section>
        <h2 className="text-[var(--primary-text-color)] font-[Inter-Medium] p-4 text-2xl">
          Disabled
        </h2>
        <section className="flex gap-[2rem] flex-wrap items-center p-3">
          <Button variant="secondary" size="sm" disabled={true}>
            Button
          </Button>
          <Button variant="secondary" size="md" disabled={true}>
            Button
          </Button>
          <Button variant="secondary" size="lg" disabled={true}>
            Button
          </Button>
        </section>
        <h2 className="text-[var(--primary-text-color)] font-[Inter-Medium] p-4 text-2xl">
          Loader and Disabled
        </h2>
        <section className="flex gap-[2rem] flex-wrap items-center p-3">
          <Button variant="secondary" size="sm" loading={true} disabled={true}>
            Button
          </Button>
          <Button variant="secondary" size="md" loading={true} disabled={true}>
            Button
          </Button>
          <Button variant="secondary" size="lg" loading={true} disabled={true}>
            Button
          </Button>
        </section>
      </div>
    );
  },
};
