import Input from "./Input";
import { useState } from "react";
export default {
  title: "Components/Base/Input",
  component: Input,
  tags: ["autodocs"],
  argTypes: {
    onEnter: { action: "Entered Value:: " },
  },
};

export const Default = (args: any) => {
  const [value, setValue] = useState("");
  const [errorvalue, setErrorValue] = useState("");
  return (
    <div className="bg-[var(--story-bg)] h-[100vh] p-10">
      <h1 className="pt-8 pb-3 font-[Inter-Medium] text-2xl text-[var(--primary-text-color)]">
        Default
      </h1>
      <Input
        {...args}
        value={value}
        placeholder="Discover news, articles and more..."
        onChange={(e) => setValue(e.target.value)}
        onClear={() => setValue("")}
      />
      <h1 className="pt-8 pb-3 font-[Inter-Medium] text-2xl text-[var(--primary-text-color)]">
        Error
      </h1>
      <Input
        {...args}
        value={errorvalue}
        placeholder="Discover news, articles and more..."
        onChange={(e) => setErrorValue(e.target.value)}
        onClear={() => setErrorValue("")}
        error={true}
        message="Please enter a valid email address."
      />
    </div>
  );
};
